import co.novu.Novu
import co.novu.dto.request.NotificationRequest
import co.novu.extensions.notifications
fun main() {
val novu = Novu(apiKey = "<NOVU_API_KEY>")
val notificationRequest = NotificationRequest("<CHANNELS>", "<TEMPLATES>", "<EMAILS>", "<SEARCH>");
val notifications = novu.notifications(notificationRequest)
println(notifications)
}
curl --request GET \
--url https://api.novu.co/v1/notifications \
--header 'Authorization: ApiKey <NOVU_API_KEY>'
from novu.api import NotificationApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
notificationApi = NotificationApi(url, api_key)
notifications = notificationApi.list()
use Novu\SDK\Novu;
$novu = new Novu('<NOVU_API_KEY>');
$notifications = $novu->getNotifications()->toArray();
{
"hasMore": true,
"data": [
{
"_environmentId": "<string>",
"_organizationId": "<string>",
"transactionId": "<string>",
"_id": "<string>",
"createdAt": "<string>",
"subscriber": {
"_id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>"
},
"template": {
"name": "<string>",
"triggers": [
{
"type": "event",
"identifier": "<string>",
"variables": [
{
"name": "<string>"
}
],
"subscriberVariables": [
{
"name": "<string>"
}
]
}
],
"_id": "<string>"
},
"jobs": [
{
"_id": "<string>",
"type": "<string>",
"executionDetails": [
{
"_id": "<string>",
"_jobId": "<string>",
"detail": "<string>",
"isRetry": true,
"isTest": true,
"providerId": {},
"raw": "<string>"
}
],
"step": {
"_id": "<string>",
"active": true,
"filters": {
"isNegated": true,
"children": [
{
"field": "<string>",
"value": "<string>"
}
]
},
"template": {}
},
"providerId": {},
"status": "<string>",
"digest": {},
"payload": {}
}
]
}
],
"pageSize": 123,
"page": 123
}"Request with key 3909d656-d4fe-4e80-ba86-90d3861afcd7 is currently being processed. Please retry after 1 second""API rate limit exceeded""Please wait some time, then try again."Notification
List all events
List all notification events (triggered events) for the current environment. This API supports filtering by channels, templates, emails, subscriberIds, transactionId, topicKey, severity, contextKeys. Checkout all available filters in the query section. This API returns event triggers, to list each channel notifications, check messages APIs.
GET
/
v1
/
notifications
import co.novu.Novu
import co.novu.dto.request.NotificationRequest
import co.novu.extensions.notifications
fun main() {
val novu = Novu(apiKey = "<NOVU_API_KEY>")
val notificationRequest = NotificationRequest("<CHANNELS>", "<TEMPLATES>", "<EMAILS>", "<SEARCH>");
val notifications = novu.notifications(notificationRequest)
println(notifications)
}
curl --request GET \
--url https://api.novu.co/v1/notifications \
--header 'Authorization: ApiKey <NOVU_API_KEY>'
from novu.api import NotificationApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
notificationApi = NotificationApi(url, api_key)
notifications = notificationApi.list()
use Novu\SDK\Novu;
$novu = new Novu('<NOVU_API_KEY>');
$notifications = $novu->getNotifications()->toArray();
{
"hasMore": true,
"data": [
{
"_environmentId": "<string>",
"_organizationId": "<string>",
"transactionId": "<string>",
"_id": "<string>",
"createdAt": "<string>",
"subscriber": {
"_id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>"
},
"template": {
"name": "<string>",
"triggers": [
{
"type": "event",
"identifier": "<string>",
"variables": [
{
"name": "<string>"
}
],
"subscriberVariables": [
{
"name": "<string>"
}
]
}
],
"_id": "<string>"
},
"jobs": [
{
"_id": "<string>",
"type": "<string>",
"executionDetails": [
{
"_id": "<string>",
"_jobId": "<string>",
"detail": "<string>",
"isRetry": true,
"isTest": true,
"providerId": {},
"raw": "<string>"
}
],
"step": {
"_id": "<string>",
"active": true,
"filters": {
"isNegated": true,
"children": [
{
"field": "<string>",
"value": "<string>"
}
]
},
"template": {}
},
"providerId": {},
"status": "<string>",
"digest": {},
"payload": {}
}
]
}
],
"pageSize": 123,
"page": 123
}"Request with key 3909d656-d4fe-4e80-ba86-90d3861afcd7 is currently being processed. Please retry after 1 second""API rate limit exceeded""Please wait some time, then try again."Enter your API key in the
Authorization field like the example shown below:E.g ApiKey 18d2e625f05d80eimport co.novu.Novu
import co.novu.dto.request.NotificationRequest
import co.novu.extensions.notifications
fun main() {
val novu = Novu(apiKey = "<NOVU_API_KEY>")
val notificationRequest = NotificationRequest("<CHANNELS>", "<TEMPLATES>", "<EMAILS>", "<SEARCH>");
val notifications = novu.notifications(notificationRequest)
println(notifications)
}
curl --request GET \
--url https://api.novu.co/v1/notifications \
--header 'Authorization: ApiKey <NOVU_API_KEY>'
from novu.api import NotificationApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
notificationApi = NotificationApi(url, api_key)
notifications = notificationApi.list()
use Novu\SDK\Novu;
$novu = new Novu('<NOVU_API_KEY>');
$notifications = $novu->getNotifications()->toArray();
Authorizations
API key authentication. Allowed headers-- "Authorization: ApiKey <api_key>".
Query Parameters
Available options:
in_app, email, sms, chat, push Was this page helpful?
⌘I